[arch-commits] Commit in misdnuser/repos (6 files)

Tobias Powalowski tpowa at archlinux.org
Fri Mar 30 04:09:32 EDT 2012


    Date: Friday, March 30, 2012 @ 04:09:32
  Author: tpowa
Revision: 154552

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  misdnuser/repos/extra-i686/
  misdnuser/repos/extra-i686/PKGBUILD
    (from rev 154551, misdnuser/trunk/PKGBUILD)
  misdnuser/repos/extra-i686/misdncapid.rc
    (from rev 154551, misdnuser/trunk/misdncapid.rc)
  misdnuser/repos/extra-x86_64/
  misdnuser/repos/extra-x86_64/PKGBUILD
    (from rev 154551, misdnuser/trunk/PKGBUILD)
  misdnuser/repos/extra-x86_64/misdncapid.rc
    (from rev 154551, misdnuser/trunk/misdncapid.rc)

----------------------------+
 extra-i686/PKGBUILD        |   33 +++++++++++++++++++++++++++++++
 extra-i686/misdncapid.rc   |   45 +++++++++++++++++++++++++++++++++++++++++++
 extra-x86_64/PKGBUILD      |   33 +++++++++++++++++++++++++++++++
 extra-x86_64/misdncapid.rc |   45 +++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 156 insertions(+)

Copied: misdnuser/repos/extra-i686/PKGBUILD (from rev 154551, misdnuser/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2012-03-30 08:09:32 UTC (rev 154552)
@@ -0,0 +1,33 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=misdnuser
+pkgver=2.0.11
+pkgrel=1
+pkgdesc="Tools and library for mISDN"
+arch=('i686' 'x86_64')
+url="http://www.misdn.org"
+license=('GPL')
+depends=('isdn4k-utils' 'spandsp')
+backup=('etc/capi20.conf') 
+options=('!libtool')
+source=(ftp://ftp.archlinux.org/other/misdnuser/${pkgname}-${pkgver}.tar.gz
+        misdncapid.rc)
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --enable-capi --enable-softdsp --with-mISDN_group=uucp
+  make
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+  install -D -m 755 ${srcdir}/misdncapid.rc ${pkgdir}/etc/rc.d/misdncapid
+  # fix udev rule
+  mkdir -p ${pkgdir}/lib/udev/rules.d
+  mv ${pkgdir}/etc/udev/rules.d/45-misdn.rules ${pkgdir}/lib/udev/rules.d
+  rm -r ${pkgdir}/etc/udev/
+}
+md5sums=('1c8825afde76e290727240077bbd37ea'
+         '1e6068daa3a5bf70eb2cf62a2de53f81')

Copied: misdnuser/repos/extra-i686/misdncapid.rc (from rev 154551, misdnuser/trunk/misdncapid.rc)
===================================================================
--- extra-i686/misdncapid.rc	                        (rev 0)
+++ extra-i686/misdncapid.rc	2012-03-30 08:09:32 UTC (rev 154552)
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID="$(pidof -o %PPID /usr/sbin/mISDNcapid)"
+case "$1" in
+    start)
+        stat_busy "Starting misdncapid"
+	if [ ! -x /var/run/mISDNcapid ] ; then
+	    install -m755 /var/run/mISDNcapid
+	fi
+
+	[ -z "$PID" ] && /usr/sbin/mISDNcapid >/dev/null 2>&1
+        if [ $? -gt 0 ]; then
+            stat_fail
+        else
+            PID=$(pidof -o %PPID /usr/sbin/mISDNcapid)
+            echo $PID > /var/run/misdncapid.pid
+            add_daemon misdncapid
+            stat_done
+        fi
+        ;;
+    stop)
+        stat_busy "Stopping misdncapid"
+	[ -f /var/run/misdncapid.pid ] && kill `cat /var/run/misdncapid.pid` >/dev/null 2>&1
+        if [ $? -gt 0 ]; then
+            stat_fail
+        else
+	    rm -f /var/run/misdncapid.pid
+            rm_daemon misdncapid
+            stat_done
+        fi
+        ;;
+    restart)
+        $0 stop
+	sleep 1
+        $0 start
+        ;;
+    *)
+        echo "usage: $0 {start|stop|restart}"
+	;;
+esac
+exit 0

Copied: misdnuser/repos/extra-x86_64/PKGBUILD (from rev 154551, misdnuser/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2012-03-30 08:09:32 UTC (rev 154552)
@@ -0,0 +1,33 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=misdnuser
+pkgver=2.0.11
+pkgrel=1
+pkgdesc="Tools and library for mISDN"
+arch=('i686' 'x86_64')
+url="http://www.misdn.org"
+license=('GPL')
+depends=('isdn4k-utils' 'spandsp')
+backup=('etc/capi20.conf') 
+options=('!libtool')
+source=(ftp://ftp.archlinux.org/other/misdnuser/${pkgname}-${pkgver}.tar.gz
+        misdncapid.rc)
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --enable-capi --enable-softdsp --with-mISDN_group=uucp
+  make
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+  install -D -m 755 ${srcdir}/misdncapid.rc ${pkgdir}/etc/rc.d/misdncapid
+  # fix udev rule
+  mkdir -p ${pkgdir}/lib/udev/rules.d
+  mv ${pkgdir}/etc/udev/rules.d/45-misdn.rules ${pkgdir}/lib/udev/rules.d
+  rm -r ${pkgdir}/etc/udev/
+}
+md5sums=('1c8825afde76e290727240077bbd37ea'
+         '1e6068daa3a5bf70eb2cf62a2de53f81')

Copied: misdnuser/repos/extra-x86_64/misdncapid.rc (from rev 154551, misdnuser/trunk/misdncapid.rc)
===================================================================
--- extra-x86_64/misdncapid.rc	                        (rev 0)
+++ extra-x86_64/misdncapid.rc	2012-03-30 08:09:32 UTC (rev 154552)
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID="$(pidof -o %PPID /usr/sbin/mISDNcapid)"
+case "$1" in
+    start)
+        stat_busy "Starting misdncapid"
+	if [ ! -x /var/run/mISDNcapid ] ; then
+	    install -m755 /var/run/mISDNcapid
+	fi
+
+	[ -z "$PID" ] && /usr/sbin/mISDNcapid >/dev/null 2>&1
+        if [ $? -gt 0 ]; then
+            stat_fail
+        else
+            PID=$(pidof -o %PPID /usr/sbin/mISDNcapid)
+            echo $PID > /var/run/misdncapid.pid
+            add_daemon misdncapid
+            stat_done
+        fi
+        ;;
+    stop)
+        stat_busy "Stopping misdncapid"
+	[ -f /var/run/misdncapid.pid ] && kill `cat /var/run/misdncapid.pid` >/dev/null 2>&1
+        if [ $? -gt 0 ]; then
+            stat_fail
+        else
+	    rm -f /var/run/misdncapid.pid
+            rm_daemon misdncapid
+            stat_done
+        fi
+        ;;
+    restart)
+        $0 stop
+	sleep 1
+        $0 start
+        ;;
+    *)
+        echo "usage: $0 {start|stop|restart}"
+	;;
+esac
+exit 0



More information about the arch-commits mailing list